---
- name: Configure base dependencies
  hosts: server,agent
  tasks:
  - name: Install open-iscsi
    ansible.builtin.package:
      name: open-iscsi
      state: latest

- name: Cluster prep
  hosts: k3s_cluster
  gather_facts: true
  become: true
  roles:
    - role: prereq
    - role: airgap
    - role: raspberrypi

- name: Setup K3S server
  hosts: server
  become: true
  roles:
    - role: k3s_server

- name: Setup K3S agent
  hosts: agent
  become: true
  roles:
    - role: k3s_agent
